<?php
if (isset($_POST['connexion'])) 
{

	if ((isset($_POST['identifiant']) && !empty($_POST['identifiant'])) && (isset($_POST['mdp']) && !empty($_POST['mdp']))) 
	{

    include('connexion_mysql.php');

	// on teste si une entrée de la base contient ce couple identifiant / mdp
	$sql = 'SELECT count(*) FROM utilisateur WHERE IDENTIFIANT="'.$_POST['identifiant'].'" AND PASSWORD ="'.$_POST['mdp'].'"';
	$res = $conn->query($sql);
	$data = mysqli_fetch_array($res);
	
	// si on obtient une réponse, alors l'utilisateur est un membre
	if ($data[0] == 1) {
		
			$sql1 = 'SELECT * FROM utilisateur WHERE IDENTIFIANT="'.$_POST['identifiant'].'" AND PASSWORD ="'.$_POST['mdp'].'"';
	$res1 = $conn->query($sql1);
	$data1 = mysqli_fetch_array($res1);
    $_SESSION['nom_util'] = $data1['IDENTIFIANT'];
								$_SESSION['id'] = $data1['ID'];
								$_SESSION['mdp'] = $data1['PASSWORD'];}
								  echo '<script type="text/javascript"> window.setTimeout("location=(\'administration_suite.php?retour=return\');");</script>';

	}
	
	// si on ne trouve aucune réponse, le visiteur s'est trompé soit dans son identifiant, soit dans son mot de mdpe
	elseif ($data[0] == 0) {
		$message = 'Compte non reconnu.';
	}
	
	// sinon, alors la, il y a un gros problème :)
	else{
		$message = 'Probème dans la base de données : plusieurs membres ont les mêmes identifiants de connexion.';
	}
	

}


		else {

	}
	
	

	
	
?>